1

Topic: errors from apd

==== Required information ====
- iRedMail version: 0.8.4
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): mysql
- Linux/BSD distribution name and version: debian 6
- Related log if you're reporting an issue:
====

I keep getting the following error show up in the console and in logs. It doesn't seem to prevent anything from working but it'd be nice to get rid of it.

insserv: Script iredapd is broken: incomplete LSB comment.
insserv: missing `Provides:' entry: please add.
insserv: missing `Required-Start:' entry: please add even if empty.
insserv: missing `Required-Stop:'  entry: please add even if empty.
insserv: missing `Default-Start:'  entry: please add even if empty.
insserv: missing `Default-Stop:'   entry: please add even if empty.

2

Re: errors from apd

You should copy file "rc_scripts/iredapd.debian" shipped in iRedAPD to /etc/init.d/iredapd. Already mentioned in iRedAPD upgrade tutorial (search "iredapd.debian" in below page):
http://iredmail.org/wiki/index.php?titl … de.iRedAPD

3

Re: errors from apd

ZhangHuangbin wrote:

You should copy file "rc_scripts/iredapd.debian" shipped in iRedAPD to /etc/init.d/iredapd. Already mentioned in iRedAPD upgrade tutorial (search "iredapd.debian" in below page):
http://iredmail.org/wiki/index.php?titl … de.iRedAPD


Arh I missed that bit. Thanks for the help smile